Get a single post
curl --request GET \
--url https://api.social-api.ai/v1/posts/{pid} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/posts/{pid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/posts/{pid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"created_at": "2026-03-14T09:00:00Z",
"hidden": false,
"id": "p_01HZ9X3Q4R5M6N7P8V2K0W1J",
"media": [
{
"source": "550e8400-e29b-41d4-a716-446655440000",
"source_type": "media_id",
"type": "image"
}
],
"media_ids": [
"<string>"
],
"published_at": "2026-04-01T10:00:05Z",
"retry_count": 0,
"scheduled_at": "2026-04-01T10:00:00Z",
"status": "published",
"targets": [
{
"account_id": "acc_01HZ9X3Q4R5M6N7P8V2K0W1J",
"board_id": "8828",
"error": {
"category": "validation",
"caused_by": "user",
"code": "platform.tiktok.media_required",
"message": "Video posts require at least one media URL"
},
"first_comment": "<string>",
"media": [
{
"source": "550e8400-e29b-41d4-a716-446655440000",
"source_type": "media_id",
"type": "image"
}
],
"media_ids": [
"<string>"
],
"media_type": "reel",
"metadata": {},
"metrics": {
"avg_watch_time_ms": 7400,
"calls": 2,
"comments": 23,
"crossposted_views": 310,
"directions": 1,
"emails": 2,
"extra": {},
"follows": 12,
"interactions": 204,
"likes": 142,
"profile_actions": 15,
"profile_visits": 48,
"reach": 3870,
"reposts": 6,
"saves": 31,
"shares": 8,
"skip_rate": 42.5,
"texts": 1,
"total_watch_time_ms": 37888000,
"views": 5120,
"website_clicks": 9
},
"metrics_synced_at": "2026-04-01T12:00:00Z",
"page_id": "sapi_page_01HZ9X3Q4R5M6N7P8V2K0W1J",
"permalink": "https://www.instagram.com/p/ABC123/",
"platform": "instagram",
"platform_data": {},
"platform_media": [
{
"thumbnail_url": "https://scontent.cdninstagram.com/v/t51.29350-15/456_n.jpg",
"type": "image",
"url": "https://scontent.cdninstagram.com/v/t51.29350-15/123_n.jpg"
}
],
"platform_post_id": "17895695668004550",
"published_at": "2026-04-01T10:00:05Z",
"scheduled_at": "2026-04-01T10:00:00Z",
"settings": {
"alt_text": "<string>",
"audio_type": "MUSIC",
"child_attachments": [
{
"description": "<string>",
"link": "<string>",
"name": "<string>",
"picture": "<string>"
}
],
"comments_enabled": true,
"countries": [
"FR",
"BE"
],
"cta_link": "<string>",
"cta_type": "SHOP_NOW",
"is_ai_generated": true,
"max_age": 65,
"min_age": 18,
"multi_share_end_card": true,
"multi_share_optimized": true,
"place": {
"id": "<string>",
"name": "<string>"
},
"product_type": "FEED",
"share_to_feed": true
},
"status": "published",
"text": "<string>",
"title": "<string>",
"visibility": "public"
}
],
"text": "Check out our new product launch!",
"title": "Exciting News",
"updated_at": "2026-03-14T09:00:00Z",
"visibility": "public"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Posts
Get a single post
Fetch a post with all platform delivery details. Accepts the SocialAPI post ID or a platform post ID (the platform’s native ID for a published target).
GET
/
posts
/
{pid}
Get a single post
curl --request GET \
--url https://api.social-api.ai/v1/posts/{pid} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/posts/{pid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/posts/{pid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"created_at": "2026-03-14T09:00:00Z",
"hidden": false,
"id": "p_01HZ9X3Q4R5M6N7P8V2K0W1J",
"media": [
{
"source": "550e8400-e29b-41d4-a716-446655440000",
"source_type": "media_id",
"type": "image"
}
],
"media_ids": [
"<string>"
],
"published_at": "2026-04-01T10:00:05Z",
"retry_count": 0,
"scheduled_at": "2026-04-01T10:00:00Z",
"status": "published",
"targets": [
{
"account_id": "acc_01HZ9X3Q4R5M6N7P8V2K0W1J",
"board_id": "8828",
"error": {
"category": "validation",
"caused_by": "user",
"code": "platform.tiktok.media_required",
"message": "Video posts require at least one media URL"
},
"first_comment": "<string>",
"media": [
{
"source": "550e8400-e29b-41d4-a716-446655440000",
"source_type": "media_id",
"type": "image"
}
],
"media_ids": [
"<string>"
],
"media_type": "reel",
"metadata": {},
"metrics": {
"avg_watch_time_ms": 7400,
"calls": 2,
"comments": 23,
"crossposted_views": 310,
"directions": 1,
"emails": 2,
"extra": {},
"follows": 12,
"interactions": 204,
"likes": 142,
"profile_actions": 15,
"profile_visits": 48,
"reach": 3870,
"reposts": 6,
"saves": 31,
"shares": 8,
"skip_rate": 42.5,
"texts": 1,
"total_watch_time_ms": 37888000,
"views": 5120,
"website_clicks": 9
},
"metrics_synced_at": "2026-04-01T12:00:00Z",
"page_id": "sapi_page_01HZ9X3Q4R5M6N7P8V2K0W1J",
"permalink": "https://www.instagram.com/p/ABC123/",
"platform": "instagram",
"platform_data": {},
"platform_media": [
{
"thumbnail_url": "https://scontent.cdninstagram.com/v/t51.29350-15/456_n.jpg",
"type": "image",
"url": "https://scontent.cdninstagram.com/v/t51.29350-15/123_n.jpg"
}
],
"platform_post_id": "17895695668004550",
"published_at": "2026-04-01T10:00:05Z",
"scheduled_at": "2026-04-01T10:00:00Z",
"settings": {
"alt_text": "<string>",
"audio_type": "MUSIC",
"child_attachments": [
{
"description": "<string>",
"link": "<string>",
"name": "<string>",
"picture": "<string>"
}
],
"comments_enabled": true,
"countries": [
"FR",
"BE"
],
"cta_link": "<string>",
"cta_type": "SHOP_NOW",
"is_ai_generated": true,
"max_age": 65,
"min_age": 18,
"multi_share_end_card": true,
"multi_share_optimized": true,
"place": {
"id": "<string>",
"name": "<string>"
},
"product_type": "FEED",
"share_to_feed": true
},
"status": "published",
"text": "<string>",
"title": "<string>",
"visibility": "public"
}
],
"text": "Check out our new product launch!",
"title": "Exciting News",
"updated_at": "2026-03-14T09:00:00Z",
"visibility": "public"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
SocialAPI post ID (UUID) or platform post ID
Response
OK
Example:
"2026-03-14T09:00:00Z"
Example:
false
Example:
"p_01HZ9X3Q4R5M6N7P8V2K0W1J"
Show child attributes
Show child attributes
Deprecated: use media.
Example:
"2026-04-01T10:00:05Z"
Example:
0
Example:
"2026-04-01T10:00:00Z"
Available options:
draft, scheduled, publishing, published, partial, failed, cancelled Example:
"published"
Show child attributes
Show child attributes
Example:
"Check out our new product launch!"
Example:
"Exciting News"
Example:
"2026-03-14T09:00:00Z"
Available options:
public, private, connections_only, logged_in Example:
"public"